pfsclamp(1)

NAME
pfsclamp - Clamp color and luminance channel values to be within the specified range

SYNOPSIS
pfsclamp [--min <minimum>] [--max <maximum>] [--percentile] [--zero] [--rgb]

DESCRIPTION
Use this command to clamp values of luminance and color channels to be within the specified range. I.e. if a value in the channel is above the specified maximum or below specified minimum, set the value to either minimum or maximum. The command operates directly on XYZ channels.

OPTIONS

--min <val>
    Lower bound for clamping. Default value: 0.0001 (10^-4)

--max <val>
    Upper bound for clamping. Default value: 100000000 (10^8)

--percentile, -p
    Treat given min and max values as a percentile.

--zero, -z
    Set values out of clamping range to zero, instead of setting to specified maximum and minimum.

--rgb
    Perform clamping in RGB space.

EXAMPLES

pfsin memorial.hdr | pfsclamp | pfsout memorial_cl.hdr
    Remove possible out-of-range values, for examples zeros, from memorial image.

pfsin memorial.hdr | pfsclamp --max 0.95 -p | pfsout memorial_cl.hdr
    Remove 5% of the brightest pixels from the original image.

SEE ALSO
pfsin(1) pfsout(1)

BUGS
Please report bugs and comments to Rafal Mantiuk <mantiuk@mpi-sb.mpg.de> and Grzegorz Krawczyk <krawczyk@mpi-sb.mpg.de>.